CREATE TABLE "voc"."voyages" (
    "number"            INTEGER       NOT NULL,
    "number_sup"        CHAR(1)       NOT NULL,
    "trip"              INTEGER,
    "trip_sup"          CHAR(1),
    "boatname"          VARCHAR(50),
    "master"            VARCHAR(50),
    "tonnage"           INTEGER,
    "type_of_boat"      VARCHAR(30),
    "built"             VARCHAR(15),
    "bought"            VARCHAR(15),
    "hired"             VARCHAR(15),
    "yard"              CHAR(1),
    "chamber"           CHAR(1),
    "departure_date"    DATE,
    "departure_harbour" VARCHAR(30),
    "cape_arrival"      DATE,
    "cape_departure"    DATE,
    "cape_call"         BOOLEAN,
    "arrival_date"      DATE,
    "arrival_harbour"   VARCHAR(30),
    "next_voyage"       INTEGER,
    "particulars"       VARCHAR(530)
);

CREATE TABLE "voc"."craftsmen" (
    "number"               INTEGER       NOT NULL,
    "number_sup"           CHAR(1)       NOT NULL,
    "trip"                 INTEGER,
    "trip_sup"             CHAR(1),
    "onboard_at_departure" INTEGER,
    "death_at_cape"        INTEGER,
    "left_at_cape"         INTEGER,
    "onboard_at_cape"      INTEGER,
    "death_during_voyage"  INTEGER,
    "onboard_at_arrival"   INTEGER
);

CREATE TABLE "voc"."impotenten" (
    "number"               INTEGER       NOT NULL,
    "number_sup"           CHAR(1)       NOT NULL,
    "trip"                 INTEGER,
    "trip_sup"             CHAR(1),
    "onboard_at_departure" INTEGER,
    "death_at_cape"        INTEGER,
    "left_at_cape"         INTEGER,
    "onboard_at_cape"      INTEGER,
    "death_during_voyage"  INTEGER,
    "onboard_at_arrival"   INTEGER
);

CREATE TABLE "voc"."invoices" (
    "number"     INTEGER,
    "number_sup" CHAR(1),
    "trip"       INTEGER,
    "trip_sup"   CHAR(1),
    "invoice"    INTEGER,
    "chamber"    CHAR(1)
);

CREATE TABLE "voc"."passengers" (
    "number"               INTEGER       NOT NULL,
    "number_sup"           CHAR(1)       NOT NULL,
    "trip"                 INTEGER,
    "trip_sup"             CHAR(1),
    "onboard_at_departure" INTEGER,
    "death_at_cape"        INTEGER,
    "left_at_cape"         INTEGER,
    "onboard_at_cape"      INTEGER,
    "death_during_voyage"  INTEGER,
    "onboard_at_arrival"   INTEGER
);

CREATE TABLE "voc"."seafarers" (
    "number"               INTEGER       NOT NULL,
    "number_sup"           CHAR(1)       NOT NULL,
    "trip"                 INTEGER,
    "trip_sup"             CHAR(1),
    "onboard_at_departure" INTEGER,
    "death_at_cape"        INTEGER,
    "left_at_cape"         INTEGER,
    "onboard_at_cape"      INTEGER,
    "death_during_voyage"  INTEGER,
    "onboard_at_arrival"   INTEGER
);

CREATE TABLE "voc"."soldiers" (
    "number"               INTEGER       NOT NULL,
    "number_sup"           CHAR(1)       NOT NULL,
    "trip"                 INTEGER,
    "trip_sup"             CHAR(1),
    "onboard_at_departure" INTEGER,
    "death_at_cape"        INTEGER,
    "left_at_cape"         INTEGER,
    "onboard_at_cape"      INTEGER,
    "death_during_voyage"  INTEGER,
    "onboard_at_arrival"   INTEGER
);

CREATE TABLE "voc"."total" (
    "number"               INTEGER       NOT NULL,
    "number_sup"           CHAR(1)       NOT NULL,
    "trip"                 INTEGER,
    "trip_sup"             CHAR(1),
    "onboard_at_departure" INTEGER,
    "death_at_cape"        INTEGER,
    "left_at_cape"         INTEGER,
    "onboard_at_cape"      INTEGER,
    "death_during_voyage"  INTEGER,
    "onboard_at_arrival"   INTEGER
);
